## gibraltar-bootcd 0.19

=== Makefile ===
CC = gcc
CFLAGS = -m386 -O2  -fomit-frame-pointer -static -Wall -W

ifneq (1,$(shell if grep __ELF__ `gcc -v 2>&1|head -n1|cut -d' ' -f4` 1>/dev/null 2>&1;then echo -n 1;fi))
  @echo ""; \
   echo "needing ELF development tools, giving up";
  exit 1;
endif

#all: linuxrc freeramdisk Makefile
all: freeramdisk listpci Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) -m386 -O2 -o freeramdisk freeramdisk.c

listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) -m386 -O2 -D__LOADER__ -fomit-frame-pointer -Wall -W \
		-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
		-lkudzu_loader -lpci -s 

clean:
	rm -f freeramdisk listpci *~ *.o
	#make -C kudzu clean
