=== debian/changelog ===
gibraltar-bootcd (0.19) unstable; urgency=low

  * Changed save-etc so that it does not stop running services anymore.
    Instead, it now checks for changed files after saving.
  * Made save-config more robust (to not fail when /tmp ist not mountable).
  * Added support for the automatic creation of a ramdisk for /tmp.
  * Made the init procedure in runlevel S modifiable by starting init
    after prepareroot has been called. This is now possible because pivot_root
    is called and therefore linuxrc has control over how init is called (and
    what is done before init is called).
  * Made the automatic ramdisk creation for /var a bit more robust. Now a
    ramdisk is also created if there is an entry in /etc/fstab for mounting
    /var, but the mounting did not work.
  * Due to these changes, some script locations have changed.
    prepareroot is now under /sbin
    make-var-ramdisk is now called mountvar and is in /system/etc-static/init.d
  * Changed the name of the created RSA host key for the ssh daemon to match
    the new default values.
  * Fixed mkinitrd-cd so that the use of scsiprobe-min.dat instead of 
    scsiprobe.dat really works (when using "min" build mode").

 -- Rene Mayrhofer <rmayr@debian.org>  Thu, 14 Mar 2002 20:47:33 +0100

gibraltar-bootcd (0.18) unstable; urgency=low

  * Re-enabled pivot_root support. Now finally it works.
    Now this package only works with kernels >= 2.4.x, 2.2.x is not
    supported anymore.
  * Added parameter to mkbootimg to specify the image size.

 -- Rene Mayrhofer <rmayr@debian.org>  Wed, 16 Jan 2002 22:58:50 +0100

gibraltar-bootcd (0.17) unstable; urgency=low

  * Use pivot_root for root changing. This can prevent problems with
    future kernels and also makes the initrd script more powerful.
    UPDATE: Revert the pivot_root change since it has some problems with 
    devfs (kernel panic with kernel 2.4.17....).
  * mkinitrd-cd now accepts another parameter for specifying the size of the
    initrd image (currently two levels: minimal and full)..
    This allows the creation of 1.44 MB and 2.88 MB boot images (currently
    not supported in mkbootimg, this will be added later).
  * Made linuxrc in the initrd image more flexible when booting from a
    harddisk partition: also support ext3 and xfs filesystems now (if the
    respective modules are available for the used kernel).

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Wed,  2 Jan 2002 19:55:51 +0100

gibraltar-bootcd (0.16) unstable; urgency=low

  * Fixed a cosmetical bug in save-config: after formatting and
    creating a config disk, the correct message is displayed.
  * SAVE_AUTOFORMAT is no longer case sensitive.
  * Now an empty disk is not reformatted, it is simply used.
  * save-config now accepts parameters "--target" and "--to".
  * save-config will not unmount a harddisk partition anymore if tha partition
    is to be used as a target (it is simply used on its current mount point
    instead of being unmounted and remounted somewhere else, leaving the old
    mount point invalid).
  * Additionally a scsiprobe-min.dat file is now distributed, only containing
    a minimal set of SCSI adapters for 1.44 MB floppies.
  * During converting a configuration from the old to the new format, the
    RAM disk is now created without a size limit so that the conversion has
    enough free space to complete successfully.
  * Updated to kudzu 0.99.40.

 -- Rene Mayrhofer <rmayr@debian.org>  Fri, 19 Oct 2001 01:36:01 +0200

gibraltar-bootcd (0.15) unstable; urgency=low

  * Now tmpfs is used instead of a simple ramdisk to hold /var. This way,
    it is resizable (although a maximum limit can be specified) and only
    uses as much memory as needed. Therefore /etc/vardisk_size is not needed
    anymore, but instead of it the parameter VARDISK_SIZE is now in
    /etc/gibraltar_config and specifies the maximum size of the /var disk.
  * The configuration data from /etc is now also stored on a tmpfs
    filesytem instead of a simple ramdisk during run-time.
    Also saving of the data is now done by tar-ing the files into a
    etc.tgz file instead of packing the unmounted /etc filesystem (formerly
    ext2) as etc.gz. Loading of old configuration data (stored in the old
    etc.gz format) is still supported by the script restore-etc-old while
    the script restore-etc now handles the new format.
  * Use a new busybox version.
  * TODO: Generate freeswan x509 key and extract RSA key from it.

 -- Rene Mayrhofer <rmayr@debian.org>  Sun, 16 Sep 2001 22:06:01 +0200

gibraltar-bootcd (0.14) unstable; urgency=low

  * Added support for loading configuration from harddisk partition (in
    addition to loading from floppy).
  * Took the recent mklibs.sh file from boot-floppies version 2.3.6. Now
    creating minimal libraries for the initrd image also works with new libc
    versions.

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Tue, 10 Apr 2001 16:50:01 +0200

gibraltar-bootcd (0.13) unstable; urgency=low

  * Updated kudzu to version 0.89.2-1
  * Changed version number in bootmsg.txt to 0.98

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Mon, 15 Jan 2001 20:13:41 +0100

gibraltar-bootcd (0.12) unstable; urgency=low

  * Added the busybox source code (at the moment version 0.48) to this 
    package since the dependency on boot-floppies has always led to confusion.
    Therefore the dependency on boot-floppies is now removed.
  * expr is now also built from busybox and not copied from the local system.
  * Fixes for the new kernel 2.4 module layout.
  * Moved /etc/init.d/save-etc-disk to /sbin/save-config.
  * Added a script for automatic generation of new RSA and DSA host keys for
    the ssh daemon when booting in unconfigured mode.
  * Small bugfixes in the update-config script.

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Sun,  7 Jan 2001 14:57:20 +0100

gibraltar-bootcd (0.11) unstable; urgency=low


