=== debian/control ===
Source: gibraltar-bootcd
Section: admin
Priority: extra
Maintainer: Rene Mayrhofer <rene.mayrhofer@vianova.at>
Standards-Version: 3.0.1
Build-Depends: debhelper, rpm, cpio, pciutils-dev, python

Package: mkinitrd-cd
Architecture: i386
Depends: ${shlibs:Depends}, dosfstools, syslinux, shellutils, makedev, gcc, glibc-pic, make
Description: Creates an initrd image suitable for booting from a live CD-ROM
 This is the package used by the Gibraltar project to create the initrd images
 used for booting from CD-ROM. The bootable CD-ROMs are actual live CD-ROMs.
 That is, the root file system is the CD-ROM, ramdisks are the only things
 needed for operation without a harddisk. Although a harddisk can be used for
 e.g. storing log files permanently or when the machine acts as a proxy 
 server.
 .
 Given a kernel image and the corresponding modules, it creates a complete
 boot image that can be written to floppy or be used as El Torito image for
 a bootable CD-ROM. Upon bootup, the initrd image will try to locate an ATAPI
 CD-ROM drive. When this does not succeed, it auto-probes for SCSI adapters 
 and tries to locate SCSI drives. It also works when multiple CD-ROM drives
 are installed in the system by checking if the inserted CD is the correct
 one for booting.
 .
 The package can be of use to developers and packagers who want to create 
 their own bootable, live Debian CD-ROM. It will probably not be of any use
 to others.

Package: gibraltar-bootsupport
Architecture: i386
Depends: ${shlibs:Depends}, bash, beep, file-rc, setcd
Recommends: libsafe, portsentry, logcheck
Description: Boot support for Gibraltar live CD-ROM
 This package contains the necessary support for the live Gibraltar CD-ROM. It
 will manage /etc and /var to be writeable and will take care of saving and
 restoring /etc.
 .
 Therefore this package should be installed on the master copy that will be
 used as the live file system on the CD-ROM. Do not install it on a system that
 boots from a harddisk partition (e.g. the development system for creating the
 bootable CD-ROMs), it will break.
