=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp:
	dh_testdir

	# first unpack kudzu and build the kudzu library
	./build-kudzu
	# now build the listpci utility (it needs the static kudzu library)
	$(MAKE) listpci KUDZU_PATH=`pwd`/debian/tmp-build/kudzu
	$(MAKE) freeramdisk

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -rf `pwd`/debian/tmp-build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# installing the files for the mkinitrd-cd binary package
	install mkinitrd-cd/linuxrc `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-common-definitions.sh `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/ide-scsi-probe.sh `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/chown-wrapper `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install listpci `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/id.txt `pwd`/debian/mkinitrd-cd/etc/gibraltar-bootcd/
	cp mkinitrd-cd/bootmsg.txt `pwd`/debian/mkinitrd-cd/etc/gibraltar-bootcd/
	cp `pwd`/debian/tmp-build/kudzu/pcitable `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe.dat `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe-min.dat `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/syslinux.cfg `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-dev.tar.gz `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/busybox-*.tar.gz `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/mkinitrd-cd `pwd`/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mkbootimg `pwd`/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mklibs.sh `pwd`/debian/mkinitrd-cd/usr/sbin

	# installing the files for the gibraltar-bootsupport binary package
	cp gibraltar-bootsupport/common-definitions.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/default
	cp mkinitrd-cd/ide-scsi-probe.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/default
	cp gibraltar-bootsupport/gibraltar_config `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp `pwd`/debian/tmp-build/kudzu/pcitable `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp mkinitrd-cd/scsiprobe.dat `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp gibraltar-bootsupport/config-disk.msg `pwd`/debian/gibraltar-bootsupport/system
	cp gibraltar-bootsupport/var-defaults.tar.gz `pwd`/debian/gibraltar-bootsupport/system
	install gibraltar-bootsupport/make-var-ramdisk `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
	install gibraltar-bootsupport/save-etc `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc-old `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/update-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/convert-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/prepareroot `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/save-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/setup-unconfigured.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unlock-cddrive `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/setup.d/00network-cards `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/01set-ip-addresses `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/minimum-system `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-conf `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-getty `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/scripts/post-save `pwd`/debian/gibraltar-bootsupport/system/scripts
	install gibraltar-bootsupport/scripts/pre-save `pwd`/debian/gibraltar-bootsupport/system/scripts
	install listpci `pwd`/debian/gibraltar-bootsupport/sbin
	install freeramdisk `pwd`/debian/gibraltar-bootsupport/sbin
	ln -s /sbin/save-config `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
	#ln -s /system/etc-static/default `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/init.d `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/setup.d `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/runlevel.conf `pwd`/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/pcitable `pwd`/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/scsiprobe.dat `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/gibraltar_config `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/gibraltar_version `pwd`/debian/gibraltar-bootsupport/etc/


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=prepareroot -- prepareroot start 01 S .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .
#	dh_installcron
	dh_installmanpages kudzu/kudzu.1
#	dh_installinfo
	dh_undocumented mkinitrd-cd.8 mkbootimg.8
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
# nothing to do here
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	make -f debian/rules binary-common DH_OPTIONS=-a

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
