## gibraltar-bootcd 0.31

=== Makefile ===
CC = gcc
LDFLAGS = 
CFLAGS = -march=i386 -O2  -fomit-frame-pointer -Wall -W

#all: linuxrc freeramdisk Makefile
all: freeramdisk listpci listpci.static Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c

listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \
        	-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
                -lkudzu_loader -L. -lpci -s

listpci.static: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) $(CFLAGS) $(LDFLAGS) -static -D__LOADER \
        	-o listpci.static listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
                -lkudzu_loader -L. -lpci -s

clean:
	rm -f freeramdisk listpci *~ *.o
	#make -C kudzu clean
