=== debian/changelog ===
gibraltar-bootcd (0.31) unstable; urgency=low

  * Updated busybox to 1.00-pre8.
  * With the newest update of uclibc-toolchain (to 0.9.26), it finally works
    again with initrd images - 0.9.23 just seems to be broken in this regards.
    Made busybox compile again with the newer uclibc-toolchain (a few changes
    were necessary due to changed library directories). Also depend on the 
    new one now now - shouldn't be an issue for woody users, uclibc should be
    rather easy to backport.
    Closes: #234373: mkinitrd-cd: A number of internal inconsistencies in 
                     paths and naming
            #228979: mkinitrd-cd: busybox build error (doesn't work with 
                     uclibc* 0.9.23, latest version in sarge?) 
            #228980: mkinitrd-cd: busybox bulid error (doesn't work with 
                     uclibc* 0.9.23, latest version in sarge?) 
  * Fix some corner cases in the patchme script, but this made it a lot more
    complex - two stage instead of one stage. However, the call semantics have
    not changed.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Thu, 29 Jan 2004 09:30:00 +0100

gibraltar-bootcd (0.30) unstable; urgency=low

  * gibraltar-bootsupport: Automatically remove patches when they are
    either for an older version or have an invalid signature.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 19 Jan 2004 17:51:28 +0100

gibraltar-bootcd (0.29) unstable; urgency=low

  * mkinitrd-cd: Add support for booting from USB mass storage devices.
  * mkinitrd-cd: Add support for booting from USB CD-ROM/DVD drives. Please
    test this as I do not have a USB CD-ROM to test it with - this is just a
    blind shot at making it work (with a bit of help from the first, tested
    item :) ).
  * mkinitrd-cd: Add support for booting from an ISO image that is stored on
    some harddisk partition.
  * gibraltar-bootsupport: Add online patching support via the scripts patchme,
    patchall-local and patchall-online.
  * gibraltar-bootsupport: Remove the services* files, they are no longer
    needed.
  * Update documentation to explain all current mkinitrd-cd boot parameters 
    and the new USB mass storage boot feature.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Thu, 18 Dec 2003 14:31:44 +0100

gibraltar-bootcd (0.28) unstable; urgency=low

  * Fixed the cosmetical problem with echo in the initrd: now linuxrc uses
    echo explicitly with "-n" and "-e" each time and doesn't use "\n" escapes
    anymore (which are not interpreted by the busybox echo).
  * Also use "-e" for ide-scsi-probe.sh, which is also called from initrd.
  * Check if the system even has a floppy in prepareroot and save-config.
  * Add some parameters to mail-file.
  * Start the network interfaces in unconfigure mode via "ifup" instead of
    directly adding the ip addresses via "ip addr add". This allows better
    integration with ifup/ifdown.
  * Generate a CA and a signed certificate for IPSec instead of only a self-
    signed certificate.
  * Use the new name for the uClibC gcc wrapper.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Fri, 26 Sep 2003 09:38:43 +0200

gibraltar-bootcd (0.27) unstable; urgency=low

  * Fix for kernel 2.4.22 - the IDE modules have been renamed to ide-core.o 
    and ide-detect.o. Thanks to upstream for changing the module names _again_.
  * Updated to busybox 1.00-pre2, because the insmod from busybox 0.60.5 was
    unable to deal with the EXPORT_SYMBOL_GPL stuff in newer kernels. Thus 
    starting with kernel 2.4.21, the IDE support did no longer load when
    compiled as modules (the symbol is now exported as GPLONLY_* by the kernel
    modules and insmod has to be aware of that).
  * busybox 1.00-pre2 has a usable ash-compatible shell, so dash is no longer
    needed.
  * Build the listpci binary for use in mkinitrd-cd and the busybox binary
    with uClibc. This reduces the initrd image size signifcantly.
    Thus, no longer depend on the (large) libc6-dev and libc6-pic.

    However, since this package needs libpci, I currently need to ship a 
    version of libpci.a (static lib) compiled for uClibc with this package. 
    This is a terrible hack, but I don't know how to make it better without
    shipping the libpci source code. Currently, this also holds true for an
    insmod binary shipped with this package (which will go away with busybox
    1.0 final, which should include full insmod support _with_ GPLONLY symbol
    handling). Both binaries are simple recompiles of the version in
    modutils (2.4.21-3) and pciutils (2.1.11-2) with CC=i386-uclibc-gcc.
  * mkinitrd-cd recommends mkisofs. Thanks to Niall Young for pointing this 
    out.
  * mkinitrd-cd now depends on mtools because mkbootimg uses mcopy.
  * Changed priority from optional to extra to comply with the overrides file 
    and get rid of the warnings on each upload.
  * Now the 01set-ip-addresses script in setup.d not only sets the IP address
    immediately on the device, but also writes a configuration block to
    /etc/network/interfaces with the acquired data.
  * Add the /bin/mail-file script to gibraltar-bootsupport, which will simply
    mail a local file as an attachment to some recipient.
  * Get rid of some kernel output during loading of modules in prepareroot.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 28 Jul 2003 18:44:54 +0200

gibraltar-bootcd (0.26) unstable; urgency=low

  * Add the "usb" target to save-config, which tries different USB mass
    storage devices.
  * Add a help text to save-config.
  * Enhance the "source" target so that it tries USB and floppy targets
    when config_source is not set.
  * Beautify some script output and increase consistency of texts.
  * Rework the USB mass storage device detection routine - it's much cleaner
    and far more reliable now.
  * Really bump standards version to 3.6.0 (it was empty in the control file).
  * Acknowledge changes of depends.
    Closes: #175677, #176319

