## gibraltar-bootcd 0.40

=== debian/changelog ===
gibraltar-bootcd (0.40) unstable; urgency=low

  * mkinitrd-cd/gibraltar-bootsupport: Switched from kudzu to discover, 
    since it is preferred by Debian and many other projects. Now the 
    auto-detection from initrd works again (kudzu was broken with uclibc 
    in the last few releases of this package).
    Now the package follows another approach while building: only the busybox
    source code is shipped with the source package, but no longer the sources
    necessary to build the discover support. During building, three Debian
    source packages (curl, expat and discover) will be downloaded and built
    using the uclibc toolchain. The resulting discover binary is still 4 times
    larger than the previous, self-written, kudzu-based "listpci", but this 
    seems to be the way to go for the next years.
  * mkinitrd-cd: Updated to busybox 1.00 final.
  * mkinitrd-cd/gibraltar-bootsupport: Refactored some code in the shell 
    scripts to move common code into shared scripts.
  * mkinitrd-cd: Renamed ide-scsi-probe.sh to probe-devs.sh, as it no longer 
    is restricted to IDE and SCSI controllers. With the usage of discover, it 
    now contains shell scriptlets to probe for IDE, SCSI and USB controllers 
    and network adapters.
  * mkinitrd-cd: Use mktemp to generate temporary directory filenames instead 
    of the PID. It's more secure.
  * mkinitrd-cd: Enabled building the md5sum applet into busybox in 
    preparation of the on-boot update functionality that is currently planned.
  * mkinitrd-cd: Removed the insmod binary that has been shipped with the 
    sourc package until now. The insmod implementation of busybox 1.00 final 
    seems to work correctly in all tested cases and can therefore finally be 
    use again.
  * mkinitrd-cd: Added the ext2 and xfs modules to hdboot_additional_modules 
    in mkinitrd-cd and HDBOOT_FILESYSTEMS in linuxrc.
    Closes: #238468: ext2 -> HDBOOT_FILESYSTEMS and hdboot_additional_modules
  * mkinitrd-cd: Enabled building the paste binary with uclibc, as it is 
    needed for post-processing the discover output in initrd.
  * gibraltar-bootsupport: Acknowledge NMU upload to conflict with loadlin 
    (due to /sbin/freeramdisk).
    Closes: #274761: gibraltar-bootsupport, loadlin: gibraltar-bootsupport 
                     and loadlin have a conflicting file

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Fri, 17 Dec 2004 14:29:44 +0100

gibraltar-bootcd (0.33) unstable; urgency=low

  * gibraltar_bootsupport: Added support for auto-generating certificates for 
    SMTP-TLS.
  * mkinitrd-cd: Added support for loading Compaq CCISS support modules.
  * mkinitrd-cd: Added support for booting the USB version from CF cards
    that are connected directly to the IDE bus. Added an "appliance" option
    for syslinux.cfg.
  * Updated kudzu to version 1.1.17-1 to get newer hardware IDs.
  * Increased the default RAM disk size from 2048 to 4096kB, the initrd image
    grew too large.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 12 Jul 2004 11:21:58 +0200

gibraltar-bootcd (0.32) unstable; urgency=low

  * Change the priority to optional so that it matches the override file.
  * Now really ship the pciutils source code and compile libpci upon package
    building - the last version caused a listpci segfault in initrd because
    libpci was build with an older uclibc. Should be fixed now one for all
    (and this package actually ships source instead of a binary again).
  * Update the /var tree in mountvar if it is already mounted, there might be
    new directories or files in var-defaults.tar.gz.
  * In patchme, an error message was printed erroneously, when the patch
    worked perfectly afterwards. Corrected that by simple removing the error
    message.
  * Fixed patchme again and made it more robust with regards to resizing file
    systems.
  * patchme now also support binary diffs via xdelta and now copes with them
    if they are contained in the patch file.
  * Fixed another two small errors in patchme when a link was contained in the
    patch file or a new directory was created.
  * Added the 'send-popup' script to the gibraltar-bootsupport package to
    send NetBIOS popup messages to hosts by their IP address.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Sun, 29 Feb 2004 14:09:05 +0100

gibraltar-bootcd (0.31-0.1) unstable; urgency=high

 * Non-maintainer upload.
 * Add Conflicts from gibraltar-bootsupport on loadlin
   (Closes: #274761)

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 12 Oct 2004 00:48:29 +0200
