=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gibraltar-bootcd
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
 Standards-Version: 3.6.0
-Build-Depends: debhelper (>= 4.0.0), rpm, cpio, pciutils-dev, python, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Build-Depends: debhelper (>= 4.0.0), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 
 Package: mkinitrd-cd
 Architecture: i386
-Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, hwdata (>= 0.64-1), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 Recommends: mkisofs
 Description: Creates an initrd image for booting from a live CD-ROM or USB device
  This is the package used by the Gibraltar project to create the initrd images
@@ -33,8 +33,9 @@
 
 Package: gibraltar-bootsupport
 Architecture: i386
-Depends: ${shlibs:Depends}, beep, file-rc, setcd, hwdata (>= 0.64-1)
+Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover, discover-data
 Recommends: libsafe, logcheck
+Conflicts: loadlin
 Description: Boot support for Gibraltar live CD-ROM
  This package contains the necessary support for the live Gibraltar CD-ROM. It
  will manage /etc and /var to be writeable and will take care of saving and
