=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,12 @@
 build-stamp:
 	dh_testdir
 
-	# first unpack kudzu and build the kudzu library
-	./build-kudzu
-	# now build the listpci utility (it needs the static kudzu library)
-	$(MAKE) listpci KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
-	$(MAKE) listpci.static KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
+	# build discover and paste with uclibc
+	( mkdir $(topdir)/debian/tmp-build/; \
+	cd $(topdir)/debian/tmp-build; \
+	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-discover; \
+	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-paste )
+	# now build the freeramdisk binary
 	$(MAKE) freeramdisk
 
 	touch build-stamp
@@ -55,16 +56,18 @@
 	install mkinitrd-cd/linuxrc $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/busybox-*.tar.bz2 $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/initrd-common-definitions.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	install mkinitrd-cd/chown-wrapper $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	install listpci $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	install insmod $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+#######	install insmod $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	install $(topdir)/debian/tmp-build/discover $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	install $(topdir)/debian/tmp-build/paste $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/id.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
 	cp mkinitrd-cd/bootmsg.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
 	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/scsiprobe-min.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/syslinux.cfg $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/initrd-dev.tar.gz $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	cp mkinitrd-cd/discover.conf $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	install mkinitrd-cd/mkinitrd-cd $(topdir)/debian/mkinitrd-cd/usr/sbin
 	install mkinitrd-cd/mkbootimg $(topdir)/debian/mkinitrd-cd/usr/sbin
 	install mkinitrd-cd/mklibs.sh $(topdir)/debian/mkinitrd-cd/usr/sbin
@@ -72,7 +75,7 @@
 	# installing the files for the gibraltar-bootsupport binary package
 	cp gibraltar-bootsupport/common-definitions.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
 	cp gibraltar-bootsupport/gibraltar-keyring.gpg $(topdir)/debian/gibraltar-bootsupport/usr/share/keyrings
-	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
+	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
 	cp gibraltar-bootsupport/config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
 	cp gibraltar-bootsupport/update-excludes $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
 	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
@@ -90,19 +93,19 @@
 	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
+	install gibraltar-bootsupport/send-popup $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/unlock-cddrive $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/unmount-initrd $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/setup.d/00network-cards $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/01set-ip-addresses $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
-	install gibraltar-bootsupport/setup.d/gen-ipsec-hostkey $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
+	install gibraltar-bootsupport/setup.d/gen-certificates $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/minimum-system $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/serial-conf $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/serial-getty $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/scripts/post-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
 	install gibraltar-bootsupport/scripts/pre-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
-	install listpci.static $(topdir)/debian/gibraltar-bootsupport/sbin/listpci
 	install freeramdisk $(topdir)/debian/gibraltar-bootsupport/sbin
 	ln -s /sbin/save-config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
 	#ln -s /system/etc-static/default $(topdir)/debian/gibraltar-bootsupport/etc/
@@ -143,13 +146,3 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-#	dh_suidregister
-#	dh_makeshlibs
-	dh_installdeb
-#	dh_perl
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
